Package org.pgpainless.exception

# Class KeyException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.pgpainless.exception.KeyException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `KeyException.ExpiredKeyException`, `KeyException.MissingSecretKeyException`, `KeyException.PublicKeyAlgorithmPolicyException`, `KeyException.RevokedKeyException`, `KeyException.UnacceptableEncryptionKeyException`, `KeyException.UnacceptableSelfSignatureException`, `KeyException.UnacceptableSigningKeyException`, `KeyException.UnboundUserIdException`

public abstract class KeyException extends RuntimeException

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`KeyException.ExpiredKeyException`
`static class`
`KeyException.MissingSecretKeyException`
`static class`
`KeyException.PublicKeyAlgorithmPolicyException`
`static class`
`KeyException.RevokedKeyException`
`static class`
`KeyException.UnacceptableEncryptionKeyException`
`static class`
`KeyException.UnacceptableSelfSignatureException`
`static class`
`KeyException.UnacceptableSigningKeyException`
`static class`
`KeyException.UnboundUserIdException`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`KeyException(String message, OpenPgpFingerprint fingerprint)`
`protected`
`KeyException(String message, OpenPgpFingerprint fingerprint, Throwable underlying)`

## Method Summary

Modifier and Type
Method
Description
`OpenPgpFingerprint`
`getFingerprint()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### KeyException

protected KeyException(@Nonnull String message, @Nonnull OpenPgpFingerprint fingerprint)

### KeyException

protected KeyException(@Nonnull String message, @Nonnull OpenPgpFingerprint fingerprint, @Nonnull Throwable underlying)

## Method Details

### getFingerprint

public OpenPgpFingerprint getFingerprint()